# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.21.1] - 2025-06-26

### Fixed

- Fixed syntax and other errors

## [0.21.0] - 2025-06-25

### Changed

- Prevent Configurar.py from messing with the browser

## [0.20.3] - 2025-06-25

### Fixed

- Fixed bugs when partitioning disks

## [0.20.2] - 2025-06-24

### Changed

- Do a couple of ogExecAndLog()s also when creating images

## [0.20.1] - 2025-06-24

### Changed

- Fix mark for ogboot on linux

## [0.20.0] - 2025-06-24

### Changed

- In order to have /tmp/command.log updated in realtime, ogExecAndLog now spawns a subprocess rather than calling functions directly

## [0.19.2] - 2025-06-24

### Changed

- Write a mark for ogboot on linux only

## [0.19.1] - 2025-06-23

### Fixed

- Fixed path of EFI boot entry

## [0.19.0] - 2025-06-23

### Changed

- Write a mark for ogboot

## [0.18.2] - 2025-06-19

### Fixed

- Accept None as partition type

## [0.18.1] - 2025-06-18

### Fixed

- Look for grub.cfg in two places rather than one

## [0.18.0] - 2025-06-16

### Added

- Added scripts and libs for oggit

## [0.17.0] - 2025-06-16

### Changed

- Removed useless warning about /dev/loop0
- Fix windows EFI booting, and a typo

## [0.16.0] - 2025-06-12

### Changed

- Gave some care to the "Custom" scripts

## [0.15.3] - 2025-06-12

### Fixed

- Create missing dir

## [0.15.2] - 2025-06-11

### Fixed

- Fixed a condition check

## [0.15.1] - 2025-06-11

### Fixed

- Add a missing "import"
- Fix retrieving windows version from the registry
- Fix bug while building the "Part-01-01" string
- Removed obsolete unused "bootOS" scripts (with a capital "S")

## [0.15.0] - 2025-06-10

### Changed

- Remove opengnsys bash functions from the agent's environment

## [0.14.2] - 2025-06-09

### Fixed

- Get rc of bash pipelines in ProtocolLib

## [0.14.1] - 2025-06-07

### Fixed

- Fixed rc management in deployImage.py

## [0.14.0] - 2025-06-07

### Changed

- Read $ogusetls and $ogverifytls from the environment and configure stunnel accordingly

## [0.13.9] - 2025-06-04

### Fixed

- Copy grub.cfg so that grub finds the config upon boot

## [0.13.8] - 2025-06-03

### Fixed

- Paid attention to return codes between python (True for success) and shell (0 for success)

## [0.13.7] - 2025-06-02

### Fixed

- Fixed management of the "multicast session" parameter

## [0.13.6] - 2025-06-02

### Fixed

- Fixed variable name in restoreImage.py

## [0.13.5] - 2025-05-30

### Fixed

- Return a true value from the unicast/multicast methods
- Fully qualify a method call

## [0.13.4] - 2025-05-28

### Changed

- Show sgdisk output

## [0.13.3] - 2025-05-28

### Fixed

- unlink() only existing files

## [0.13.2] - 2025-05-28

### Changed

- Point urlMenu back to the localhost stunnel

## [0.13.1] - 2025-05-21

### Changed

- Make dbus envvar available to the agent

## [0.13.0] - 2025-05-19

### Added

- Run dbus

## [0.12.0] - 2025-05-18

### Changed

- no tls for the urlmenu either

## [0.11.0] - 2025-05-18

### Added

- Run stunnel and point the browser to it

## [0.10.0] - 2025-05-14

### Changed

- Run the new browser

## [0.9.0] - 2025-05-09

### Added

- Use zstd when creating and restoring images

## [0.8.4] - 2025-05-09

### Added

- When restoring an image, include the image name in the ogagent configuration file

## [0.8.3] - 2025-05-08

### Fixed

- Have ogNvramAddEntry() handle EFI entries with spaces in them

## [0.8.2] - 2025-05-07

### Changed

- Have Configurar.py ignore the tch parameter, take cache size from the definition of the cache partition

## [0.8.1] - 2025-05-07

### Fixed

- Gracefully handle error in ogBoot() when not finding /boot partition in target's fstab

## [0.8.0] - 2025-04-23

### Added

- Have the oglive agent send /stopped on poweroff or restart

## [0.7.2] - 2025-04-21

### Fixed

- Have the partitioning functions return a meaningful rc

## [0.7.1] - 2025-04-15

### Fixed

- getConfiguration.py: don't fail if NTFS filesystems are mounted ro

## [0.7.0] - 2025-04-15

### Removed

- Removed references to ogGlobals.OGLOG in python code

## [0.6.1] - 2025-04-15

### Fixed

- Fixed capturing of partclone output and management of return value

## [0.6.0] - 2025-04-15

### Changed

- ogGetIpAddress() is no longer required in ogGlobals--move it back into NetLib

## [0.5.0] - 2025-04-15

### Changed

- Log to /var/log/clone-engine.log and clone-engine.json.log

## [0.4.1] - 2025-04-10

### Fixed

- restoreImage.py: return negated rc to the shell

## [0.4.0] - 2025-04-10

### Changed

- Make /opt/opengnsys writable in clients, just like it used to be

## [0.3.6] - 2025-04-09

### Fixed

- Fixed ogReduceFs

## [0.3.5] - 2025-04-09

### Fixed

- Fixed syntax

## [0.3.4] - 2025-04-09

### Fixed

- Fixed usage of ogEcho in FileSystemLib

## [0.3.3] - 2025-04-09

### Fixed

- Kill coproc'ed browser in all execution branches in Configurar.py

## [0.3.2] - 2025-04-07

### Fixed

- Handle invalid number of arguments pass to functions/ogCopyFile

## [0.3.1] - 2025-04-03

### Fixed

- Fixed invocation to ogCheckIpAddress in interfaceAdm/CrearImagen.py

## [0.3.0] - 2025-04-03

### Removed

- Removed burg and rsync 3.1

## [0.2.6] - 2025-03-31

### Fixed

- Restore qt4 browser

## [0.2.5] - 2025-03-31

### Fixed

- Don't require protoopts in interfaceAdm/RestaurarImagen.py

## [0.2.4] - 2025-03-28

### Removed

- Removed burg, QT4 stuff, rsync 3.1 and the old browser

## [0.2.3] - 2025-03-28

### Fixed

- Fixed some errors in Configurar.py, ogCreateCache, ogCreatePartitions and initCache.py

## [0.2.2] - 2025-03-26

### Fixed

- Prevent EjecutarScript.py from capturing the output of the script

## [0.2.1] - 2025-03-26

### Fixed

- Run scripts with bash to avoid errno 8 "Exec format error"

## [0.2.0] - 2025-03-25

### Added

- getConfiguration.py now collects the firmware type
- Configurar.py now creates partition tables of the right type (MSDOS/GPT) for each machine

## [0.1.1] - 2025-03-19

### Added

- Missing functions in BootLib
- Some interfaceAdm python scripts

## [0.1.0] - 2025-02-28

### Added

- Merge pull request 'Include all client files, build debian package' (#2) from deb-package into main
